package utils

import (
	"github.com/joho/godotenv"
	"log"
	"os"
)

func GetEnv(key, defaultValue string) string {

	// 加载环境变量
	if err := godotenv.Load(".env"); err != nil {
		log.Fatal("Error loading .env file: ", err)
	}
	log.Printf("--------------------测试【"+key+"】", os.Getenv(key))
	if value := os.Getenv(key); value != "" {
		return value
	}
	return defaultValue
}
